gdk-sharp 0.0.0.0 neutral Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Offscreen drawable. Pixmaps are offscreen drawables. They can be drawn upon with the standard drawing primitives, then copied to another drawable (such as a ) with .

The depth of a pixmap is the number of bits per pixels. Bitmaps are simply pixmaps with a depth of 1. (That is, they are monochrome bitmaps - each pixel can be either on or off).

Gdk.Drawable GLib.IWrapper System.IDisposable
- Method
  Gdk.Pixmap `` Looks up the that wraps the given native pixmap handle. a native pixmap handle. the wrapper for the native window, or if there is none. Looks up the GdkPixmap that wraps the given native pixmap handle.

  For example in the X backend, a native pixmap handle is an Xlib XID.

- Method
  Gdk.Pixmap `` Wraps a native window for the default display in a . This may fail if the pixmap has been destroyed. a native pixmap handle. The newly-created wrapper for the native pixmap or if the pixmap has been destroyed. Wraps a native window for the default display in a GdkPixmap. This may fail if the pixmap has been destroyed.

  For example in the X backend, a native pixmap handle is an Xlib XID.

- Method
  System.Void Disposes the resources associated with the object.
- Constructor
  Internal constructor
  Pointer to the C object.
  An instance of Pixmap, wrapping the C object.

  This is an internal constructor, and should not be used by user code.

- Method
  Gdk.Pixmap `` `` To be added a a a To be added
- Method
  Gdk.Pixmap `` `` Wraps a native pixmap in a . This may fail if the pixmap has been destroyed. The where the pixmap is located. a native pixmap handle. The newly-created wrapper for the native pixmap or if the pixmap has been destroyed. Wraps a native pixmap in a GdkPixmap. This may fail if the pixmap has been destroyed.

  For example in the X backend, a native pixmap handle is an Xlib XID.

- Method
  Gdk.Pixmap `` `` `` `` `` `` `` To be added a a a a a a a a To be added
- Constructor
  Creates a new pixmap with the given size and depth.
  A , used to determine default values for the new pixmap. Can be if is specified
  The width of the new pixmap in pixels.
  The height of the new pixmap in pixels.
  The depth (number of bits per pixel) of the new pixmap. If -1, and drawable is not , the depth of the new pixmap will be equal to that of drawable.
  The new pixmap with the given size and depth
  Create a new pixmap with a given size and depth.
- Property
  GLib.GType GType Property. a Returns the native value for .
- Constructor
  Protected Constructor.
  a
  a
  Chain to this constructor if you have manually registered a native value for your subclass.
- Constructor
  Create a new pixmap using a reference drawable for depth.
  A , used to determine default values for the new pixmap.
  The width of the new pixmap in pixels.
  The height of the new pixmap in pixels.
  The new .
  Creates a new pixmap with a given size and depth.
- Method
  Gdk.Pixmap `` `` `` `` Create a pixmap from XPM data. a a a an array of , defining an XPM image a To be added
- Method
  Gdk.Pixmap `` `` `` `` `` Create a pixmap from an XPM file using a specific colormap. a a a a a a To be added
- Method
  Gdk.Pixmap `` `` `` `` Create a pixmap from an XPM file. a a a a a To be added
- Method
  Gdk.Pixmap `` `` `` `` `` Create a pixmap from XPM data using a colormap. a a a a an array of , defining an image in XPM format a To be added
- Method
  Gdk.Pixmap `` `` `` To be added a a a a To be added
- Method
  Gdk.Pixmap `` `` To be added a a a To be added
- Method
  Gdk.Pixmap `` `` `` To be added a a a a To be added
- Method
  Gdk.Pixmap `` `` To be added a a a To be added